(function() {
    
    /* ----- Variables ----- */
    var homeTpl = Handlebars.compile($("#home-tpl").html());
    var storyLiTpl = Handlebars.compile($("#story-li-tpl").html());
                                     
    var dataAdapter = new MemoryAdapter();
    dataAdapter.initialize().done( function() {
        $('body').html( new HomeView( dataAdapter, homeTpl, storyLiTpl ).render().el );
    });
    
    
    
    /* ----- Function ----- */
    
    
    function showAlert( message, title ) {
        if ( navigator.notification ) {
            navigator.notification.alert( message, null, title, 'OK' );
        }
        else {
            alert( title ? ( title + ": " + message ) : message );
        }
    }
    
    
})();