(function() {
    
    /* ----- Variables ----- */
    //var dataAdapter = new MemoryAdapter(); // In-Memory用
    var dataAdapter = new StorageAdapter(); // Local Storage用
    
    dataAdapter.initialize().done( function() {
        // do nothing
    });
    
    
    
    /* ----- Event ----- */
    $('.search-key').on('keyup', findByTitle );
    
    
    
    /* ----- Function ----- */
    function findByTitle() {
        dataAdapter.findByTitle( $('.search-key').val() ).done( function( storyies ) {
            var i,
                s,
                len = storyies.length;
            
            $('.story-list').empty();
            for ( i = 0; i < len; i ++ ) {
                s = storyies[i];
                $('.story-list').append('<li><a href="#stories/' + s.id + '">' + s.title + '</a></li>');
            }
        }); 
    }
    
})();